## org.eclipse.datatools.modelbase.dbdefinition.impl
Class SchemaDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.SchemaDefinitionImpl

All Implemented Interfaces:
  SchemaDefinition

public class SchemaDefinitionImpl
extends EObjectImpl
implements SchemaDefinition

An implementation of the model object 'Schema Definition'.

The following features are implemented:

- `Maximum Identifier Length`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getMaximumIdentifierLength()`
`void` `setMaximumIdentifierLength(int newMaximumIdentifierLength)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Specified by:
    `getMaximumIdentifierLength` in interface `SchemaDefinition`
  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `SchemaDefinition.setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getSchemaDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int newMaximumIdentifierLength)

  Specified by:
    `setMaximumIdentifierLength` in interface `SchemaDefinition`
  Parameters:
    `newMaximumIdentifierLength` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `SchemaDefinition.getMaximumIdentifierLength()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.